public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/httpclient/
Date: Mon, 16 May 2016 05:29:38 +0000 (UTC)	[thread overview]
Message-ID: <1463375395.8f15ca8329656b243b37df797f1ef95bcf8ca45f.graaff@gentoo> (raw)

commit:     8f15ca8329656b243b37df797f1ef95bcf8ca45f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon May 16 05:09:55 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon May 16 05:09:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f15ca83

dev-ruby/httpclient: add 2.8.0

Package-Manager: portage-2.2.28

 dev-ruby/httpclient/Manifest                |  1 +
 dev-ruby/httpclient/httpclient-2.8.0.ebuild | 62 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-ruby/httpclient/Manifest b/dev-ruby/httpclient/Manifest
index 5e009e9..f7ed9f3 100644
--- a/dev-ruby/httpclient/Manifest
+++ b/dev-ruby/httpclient/Manifest
@@ -1,3 +1,4 @@
 DIST httpclient-2.6.0.1.tgz 305847 SHA256 213f55639b85edf47fb32f865b59085a76d77c87355e9e13e747250f8da0f6e9 SHA512 bcb71a7b6be7d132df63c5434cb2d4be46fa9b5c585b68a8a8269e46acecde6403098555e219354c60fc193016651c1bda53bffd9d509a517a3104c9a4e04efe WHIRLPOOL 4ded5d0b5f93c3b58df1e1c2233ae3a6219d797c0fb193d4995a2863fda76bad10ef0429f79a01c9b3c7c9ae27e20879b81db34239ff901a502baea9d6436785
 DIST httpclient-2.7.1.tgz 457036 SHA256 d176c5177745d60434a05c3d85497f9a56c725aa6f9ee98ac14349f9ffe05cfc SHA512 960770fe351a82e4008ca706bc0f1c7ba255b67dcbcc2984b1f76b78bdb9236b799dbd81c98d706a6a3755677b8d11fe7d7dd5b3af6afaaf901d70d999a09ea2 WHIRLPOOL d6c70683f702c2b749d56ff011beb24e8b4d77acab6f587986e44ecd6a3c6ac73059b4080715b97b750d773c1c13bf4abcb91a0748087e233b0509b2592daa1d
 DIST httpclient-2.7.2.tgz 457339 SHA256 5c2c5f505168effb167bc0580da2814cff893636c5a8bc75f1080d2c82c6d0ad SHA512 02793c21925449a6fb117c548a6fd80464a953e6496489b7cd36491026effd553e7447cb96d9ae1bbd8897c16a5efa8b7faf69ab19a02c5d182bcb2f737a07a3 WHIRLPOOL 1c81132d21a4d01faf37983e117f7ebeaafaa8b855bf04813fe32aaeb9123f0e305bf415330a833244e00311d0755fe3474fb2310ef50b82984ae2c3c5b1339b
+DIST httpclient-2.8.0.tgz 457364 SHA256 96c5551e48b1ab32e695a8cb7a3dcea425c6da2d0a56ee1aaa4c407d1a04104a SHA512 6ec42a2ba8345f5b9a77d8d26f41932ebba13675671190ca42b787bb0f83cb6d3307e00f32808e6b5b4fa5fe76e5db31301fa88ad8131c9bae2c91a822e546f6 WHIRLPOOL 7bd46526bcb87e79d5a03676f0d478745db998089d3c58cd215d550b73e2cf3bc7c02716c74af86418a91150d5fa980184100f63851537169dbbdd3cdbae77f8

diff --git a/dev-ruby/httpclient/httpclient-2.8.0.ebuild b/dev-ruby/httpclient/httpclient-2.8.0.ebuild
new file mode 100644
index 0000000..eca97b4
--- /dev/null
+++ b/dev-ruby/httpclient/httpclient-2.8.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_TEST="-Ilib test"
+RUBY_FAKEGEM_TASK_DOC="doc"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="httpclient.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="'httpclient' gives something like the functionality of libwww-perl (LWP) in Ruby"
+HOMEPAGE="https://github.com/nahi/httpclient"
+SRC_URI="https://github.com/nahi/httpclient/archive/v${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="Ruby"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="${RDEPEND}
+	!dev-ruby/http-access2"
+
+ruby_add_rdepend "virtual/ruby-ssl"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )"
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/http-cookie )"
+
+all_ruby_prepare() {
+	rm Gemfile || die
+	sed -i -e '/[bB]undler/s:^:#:' Rakefile || die
+
+	# Fix documentation task
+	sed -i -e 's/README.txt/README.md/' Rakefile || die
+
+	# Remove mandatory CI reports since we don't need this for testing.
+	sed -i -e '/reporter/s:^:#:' Rakefile || die
+
+	# Remove mandatory simplecov dependency
+	sed -i -e '/[Ss]imple[Cc]ov/ s:^:#:' test/helper.rb || die
+
+	# Comment out test requiring network access that makes assumptions
+	# about the environment, bug 395155
+	sed -i -e '/test_async_error/,/^  end/ s:^:#:' test/test_httpclient.rb || die
+
+	# Skip tests using rack-ntlm which is not packaged. Weirdly these
+	# only fail on jruby.
+	rm test/test_auth.rb || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -e 'gem "test-unit"; Dir["test/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2016-05-16  5:29 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-16  5:29 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-23  7:39 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/httpclient/ Hans de Graaff
2024-02-20 20:59 Ionen Wolkens
2024-02-20 20:59 Ionen Wolkens
2024-02-18  7:29 Hans de Graaff
2024-02-17  7:34 Hans de Graaff
2023-07-15 11:52 Arthur Zamarin
2023-04-13  3:03 Sam James
2022-12-24  6:35 Sam James
2022-07-30  7:46 Hans de Graaff
2022-06-28 16:59 Arthur Zamarin
2022-06-28 16:47 Arthur Zamarin
2022-05-08 15:00 WANG Xuerui
2022-04-26 14:38 Sam James
2022-04-09 12:42 Hans de Graaff
2022-04-09 12:42 Hans de Graaff
2022-04-08  9:15 Hans de Graaff
2022-04-01  5:15 Arthur Zamarin
2021-10-14 20:07 Robin H. Johnson
2021-10-09 15:24 Naohiro Aota
2020-12-22  5:30 Hans de Graaff
2019-05-01 19:36 Hans de Graaff
2018-07-08  4:06 Hans de Graaff
2018-07-07  9:02 Sergei Trofimovich
2018-07-02  5:29 Hans de Graaff
2018-07-02  0:49 Thomas Deutschmann
2018-06-27 21:54 Sergei Trofimovich
2018-06-25 18:24 Hans de Graaff
2018-06-05  4:06 Hans de Graaff
2018-05-22  6:12 Hans de Graaff
2018-03-22 20:23 Jeroen Roovers
2017-12-29 17:41 Sergei Trofimovich
2017-10-01  6:44 Hans de Graaff
2017-07-15  5:22 Hans de Graaff
2016-12-21  6:37 Hans de Graaff
2016-12-13  6:53 Hans de Graaff
2016-12-13  6:53 Hans de Graaff
2016-12-09  8:35 Hans de Graaff
2016-09-28  8:17 Tobias Klausmann
2016-09-13  4:36 Hans de Graaff
2016-09-13  4:36 Hans de Graaff
2016-08-19  6:00 Hans de Graaff
2016-08-09  5:02 Hans de Graaff
2016-05-29  5:26 Hans de Graaff
2016-04-23  5:24 Hans de Graaff
2016-04-23  5:24 Hans de Graaff
2016-01-02  6:50 Hans de Graaff
2015-12-12  7:35 Hans de Graaff
2015-11-12 10:15 Agostino Sarubbo
2015-11-11  9:54 Agostino Sarubbo
2015-11-11  6:05 Jeroen Roovers
2015-11-10  6:37 Hans de Graaff
2015-11-09 11:24 Agostino Sarubbo
2015-11-06  7:31 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1463375395.8f15ca8329656b243b37df797f1ef95bcf8ca45f.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox